package com.yizhi.drools.application.feign;

import com.yizhi.drools.application.vo.drools.AccountVo4ManageParam;
import com.yizhi.drools.application.vo.drools.AccountVo4ManageResponse;
import com.yizhi.drools.application.vo.drools.BusinessVo4PortalParam;
import com.yizhi.drools.application.vo.drools.BusinessVo4PortalResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @ClassName RecommendClient
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-12-31 15:16
 * @Version 1.0
 */
@FeignClient(value = "esearch", contextId = "RecommendClient")
public interface RecommendClient {

    @PostMapping("/recommend/recommend4Manage")
    BusinessVo4PortalResponse recommend4Manage(@RequestBody BusinessVo4PortalParam param);

    @PostMapping("/recommend/recommend4Portal")
    BusinessVo4PortalResponse recommend4Portal(@RequestBody BusinessVo4PortalParam param);

    @PostMapping("/recommend/recommend4ManageAccount")
    AccountVo4ManageResponse recommend4ManageAccount(@RequestBody AccountVo4ManageParam param);

}
