package com.yizhi.drools.application.feign;

import com.yizhi.drools.application.vo.drools.BusinessVo4PortalParam;
import com.yizhi.drools.application.vo.drools.BusinessVo4PortalResponse;
import com.yizhi.drools.application.vo.manage.StrategyPageVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @ClassName RecommendStrategyClient
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-12-26 16:13
 * @Version 1.0
 */
@FeignClient(name = "rules", contextId = "RecommendStrategyClient")
public interface RecommendStrategyClient {

    @PostMapping("/manage/recommendStrategy/list4PortalConfig")
    Map<Long, StrategyPageVo> list4PortalConfig(@RequestBody List<Long> strategyIds);

    @PostMapping("/manage/recommendStrategy/businessVo4Portal")
    BusinessVo4PortalResponse businessVo4Portal(@RequestBody BusinessVo4PortalParam param);

    @PostMapping("/manage/recommendStrategy/businessVo4Manage")
    BusinessVo4PortalResponse businessVo4Manage(@RequestBody BusinessVo4PortalParam param);

}
