package com.yizhi.drools.application.vo.drools;

import com.yizhi.core.application.context.RequestContext;
import com.yizhi.drools.application.vo.manage.RuleVo;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName BusinessVo4PortalParam
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020-01-02 18:18
 * @Version 1.0
 */
@Data
public class BusinessVo4PortalParam {

    private static final long serialVersionUID = 1L;

    private Integer pageNo;

    private Integer pageSize;

    private List<Long> strategyIds;

    private List<RuleVo> ruleVos;

    /**
     * 仅在管理端搜索内容时用
     */
    private String keyword;

    /**
     * 仅在管理端搜索内容时用
     */
    private String business;

    private RequestContext requestContext;

    private Map<Long, List<RuleVo>> strategyRuleVoMap = new HashMap<>();

}
