package com.yizhi.drools.application;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * @author shengchenglong
 */
@SpringBootApplication
@EnableTransactionManagement
@EnableDiscoveryClient
//@MapperScan("com.fulan.drools.mapper")
@EnableFeignClients(basePackages = "com.yizhi")
@ComponentScan(basePackages = {"com.yizhi"})
public class CloudDroolsApplication {

    public static void main(String[] args) {
        SpringApplication.run(CloudDroolsApplication.class, args);
    }

}

