package com.yizhi.drools.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.drools.application.domain.RecommendStrategy;
import com.yizhi.drools.application.vo.manage.StrategyPageVo;
import com.yizhi.drools.application.vo.manage.StrategyVo;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author shengchenglong123
 * @since 2019-11-27
 */
public interface IRecommendStrategyService extends IService<RecommendStrategy> {

    boolean save(StrategyVo strategyVo) throws Exception;

    boolean copy(Long id) throws Exception;

    boolean delete(Long id);

    Page<StrategyPageVo> pageByNameAndRuleId(String name, Long ruleId, Page page);

    Page getVisibleRange(Long id, String keyWord, Integer pageNo, Integer pageSize);
}
