package com.yizhi.drools.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.drools.application.domain.RecommendRuleItem;
import com.yizhi.drools.application.mapper.RecommendRuleItemMapper;
import com.yizhi.drools.application.service.IRecommendRuleItemService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author shengchenglong123
 * @since 2019-11-27
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class RecommendRuleItemServiceImpl extends ServiceImpl<RecommendRuleItemMapper, RecommendRuleItem> implements IRecommendRuleItemService {

    @Override
    public List<RecommendRuleItem> listByRuleId(Long ruleId, String business) {
        return this.baseMapper.listByRuleId(ruleId, business);
    }
}
