package com.yizhi.drools.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.drools.application.domain.RecommendStrategyRule;
import com.yizhi.drools.application.mapper.RecommendStrategyRuleMapper;
import com.yizhi.drools.application.service.IRecommendStrategyRuleService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author shengchenglong123
 * @since 2019-11-28
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class RecommendStrategyRuleServiceImpl extends ServiceImpl<RecommendStrategyRuleMapper, RecommendStrategyRule> implements IRecommendStrategyRuleService {

    @Override
    public List<Long> getRuleIds(Long strategyId) {
        return this.baseMapper.getRuleIds(strategyId);
    }

    @Override
    public List<RecommendStrategyRule> listByStrategyId(Long strategyId) {
        return this.baseMapper.listByStrategyId(strategyId);
    }

}
