package com.yizhi.drools.application.drools.core;

/**
 * @ClassName Carrier
 * @Description 数据载体，
 * O:origin-源数据
 * C:condition-条件数据（判断依据）
 * R:result-结果数据
 * @Author shengchenglong
 * @DATE 2019-11-19 15:11
 * @Version 1.0
 */
public interface Carrier<Origin, Condition, Result> {

    Condition getCondition();

    Origin getOrigin();

    Result getResult();
}
